org.apache.xmlgraphics.image.loader.impl

## Interface AbstractImageSessionContext.FallbackResolver

- All Known Implementing Classes:
    AbstractImageSessionContext.RestrictedFallbackResolver, AbstractImageSessionContext.UnrestrictedFallbackResolver
  Enclosing class:
    AbstractImageSessionContext

      public static interface AbstractImageSessionContext.FallbackResolver

  Implementations of this interface will be used as the mechanism for creating the `Source` that wraps resources. This interface allows clients to define their own implementations so that they have fine-grained control over how resources are acquired.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.Source` | `createSource(javax.xml.transform.Source source, java.lang.String uri)` The fallback mechanism used to create the source which takes in both the `Source` that the the regular mechanisms attempted to create and the URI that the user provided.

- - ### Method Detail

    - #### createSource

          javax.xml.transform.Source createSource(javax.xml.transform.Source source,
                                                  java.lang.String uri)

      The fallback mechanism used to create the source which takes in both the `Source` that the the regular mechanisms attempted to create and the URI that the user provided.
      Parameters:
        `source` - the source
        `uri` - the URI provided by the user
      Returns:
        the source that the contingency mechanism has been acquired

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.